<?php


function ZAP_SQL($zapSQL) {
//echo "Wyzwalam ZAP_SQL($zapSQL)<br> \n";
global $result,$conn,$SQL_DATABASE,$INTERFACE_ADDR,$SQL_USER_PASS,$SQL_USER;
$conn=mysql_pconnect($INTERFACE_ADDR,$SQL_USER,$SQL_USER_PASS);
if (!$conn) die("ERROR podczas tworzenia polaczenia do bazy $SQL_DATABASE !\n");
mysql_select_db($SQL_DATABASE) or die("ERROR podczas wyboru bazy R50!");
//$zapSQL=" from $TABLE";
if($_SESSION['DEBUG']) echo "<hr>ZAP_SQL_UPDATE($zapSQL) :::<br>";
$result = mysql_query($zapSQL,$conn) or die("Blad zapytania ZAP_SQL. *$zapSQL*!");
 if(is_resource($result)) $_SESSION['MYSQL_NUM_ROWS'] = mysql_num_rows($result);//mysql_num_rows() expects parameter 1 to be resource, boolean given in /home/pl/projekty/se.dev.webone.pl/src/SE/superedit-ZAP_SQL.php on line 13
 else if(isset($_SESSION['MYSQL_NUM_ROWS'])) unset($_SESSION['MYSQL_NUM_ROWS']);

}
